Subject: [bug#63943] The Shepherd on GNU/Hurd

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Thu, 08 Jun 2023 13:45:00 +0200

Janneke Nieuwenhuizen writes:

hi!

> Ludovic Courtès writes:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> To me it’s important so we can upgrade the Shepherd in use on GNU/Hurd
>>> (it’s still stuck at 0.8 because so far Fibers lacked support for
>>> non-Linux systems), which in turn means we can use the newer Shepherd
>>> APIs in its config file.  Unfortunately, while shepherd cross-builds
>>> and runs on GNU/Hurd, I’m not confident it “works”.  I’ll write more
>>> in a separate message.
>>
>> The patch I ended up not including in this series is use of current
>> Shepherd on GNU/Hurd (attached).
>>
>> Problems that I see are:

[..]

> It would be great, if it works ;-)
>
> While I'd like to test it and I'm still making progress building
> natively on the Hurd but it's hard to predict when I'll get to building
> fibers:

Finally up to [email-masked], I broke off the test suite after 2h.

I'll retry using --verbosity=2 during the night (hopefully today or
tomorrow).

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com